Skip to main content
Resource Center/Hardware/Backup Storage Operations
POSTBackup Storage OperationsSince 0.6SynchronousAuth Required

AttachBackupStorageToZone

AttachBackupStorageToZone

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • zoneUuidStringRequired

    The zone UUID.

  • backupStorageUuidStringRequired

    The backup storage UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBackupStorageInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

POST/zstack/v1/zones/{zoneUuid}/backup-storage/{backupStorageUuid}

/zstack/v1/zones/{zoneUuid}/backup-storage/{backupStorageUuid}

Operation ID

AttachBackupStorageToZone

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/zones/{zoneUuid}/backup-storage/{backupStorageUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "My Backup Storage", "description": "Public Backup Storage", "totalCapacity": 1073741824, "availableCapacity": 968884224, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:19 PM", "lastOpDate": "Jun 7, 2017 9:20:19 PM", "attachedZoneUuids": [ "73799602dbf64c0d85694de34fc596c3" ] } }

Change History

This API has no change history records yet.

View all change history